Returns a list of qualification types for the specified list of IDs. If no IDs are provided, all qualification types will be returned.
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Read Qualification Records under the Qualification Records category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/qualification-types \
--header 'Authorization: Bearer <token>'{
"data": [
{
"createdAtTime": "2019-06-13T19:08:25Z",
"createdBy": {
"id": "938172",
"type": "driver"
},
"entityType": "worker",
"fields": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"isRequired": true,
"label": "Engine Hours",
"type": "number",
"allowManualEntry": true,
"allowedAssetTypes": [
"vehicle",
"trailer"
],
"allowedDateTimeValueType": "datetime",
"autofillFromId": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"columns": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"label": "Engine Hours",
"type": "number",
"allowManualEntry": true,
"allowedDateTimeValueType": "datetime",
"filterByRoleIds": [
"23d4d8d3-dc10-4e7a-a183-69968751f23e"
],
"includeDrivers": true,
"includeUsers": true,
"numDecimalPlaces": 2,
"options": [
{
"id": "e879028d-bce5-0238-ffec-11cd9236bcda",
"label": "Yes",
"ignoreQuestionFromScoreIfSelected": false,
"optionScoreWeight": 5
}
]
}
],
"conditionalActions": [
{
"actions": [
{
"type": "askFollowupQuestion",
"fieldId": "bd673690-f09b-4f3d-93bd-99c4b2971554",
"sectionId": "bd673690-f09b-4f3d-93bd-99c4b2971554"
}
],
"condition": {
"type": "multipleChoiceValueCondition",
"selectedOptionIds": [
"9814a1fa-f0c6-408b-bf85-51dc3bc71ac7"
]
}
}
],
"filterByRoleIds": [
"23d4d8d3-dc10-4e7a-a183-69968751f23e"
],
"includeDrivers": true,
"includeUsers": true,
"isAutofillSource": true,
"numDecimalPlaces": 2,
"options": [
{
"id": "e879028d-bce5-0238-ffec-11cd9236bcda",
"label": "Yes",
"ignoreQuestionFromScoreIfSelected": false,
"optionScoreWeight": 5
}
],
"questionWeight": 5
}
],
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"name": "Driver License",
"revisionId": "1214a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"updatedAtTime": "2019-06-13T19:08:25Z",
"updatedBy": {
"id": "938172",
"type": "driver"
}
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
String of entity type. Valid values: worker, asset
worker, asset Optional comma-separated list containing up to 100 qualification type IDs to filter on. If no IDs are provided, all qualification types will be returned.
If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
curl --request GET \
--url https://api.samsara.com/qualification-types \
--header 'Authorization: Bearer <token>'{
"data": [
{
"createdAtTime": "2019-06-13T19:08:25Z",
"createdBy": {
"id": "938172",
"type": "driver"
},
"entityType": "worker",
"fields": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"isRequired": true,
"label": "Engine Hours",
"type": "number",
"allowManualEntry": true,
"allowedAssetTypes": [
"vehicle",
"trailer"
],
"allowedDateTimeValueType": "datetime",
"autofillFromId": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"columns": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"label": "Engine Hours",
"type": "number",
"allowManualEntry": true,
"allowedDateTimeValueType": "datetime",
"filterByRoleIds": [
"23d4d8d3-dc10-4e7a-a183-69968751f23e"
],
"includeDrivers": true,
"includeUsers": true,
"numDecimalPlaces": 2,
"options": [
{
"id": "e879028d-bce5-0238-ffec-11cd9236bcda",
"label": "Yes",
"ignoreQuestionFromScoreIfSelected": false,
"optionScoreWeight": 5
}
]
}
],
"conditionalActions": [
{
"actions": [
{
"type": "askFollowupQuestion",
"fieldId": "bd673690-f09b-4f3d-93bd-99c4b2971554",
"sectionId": "bd673690-f09b-4f3d-93bd-99c4b2971554"
}
],
"condition": {
"type": "multipleChoiceValueCondition",
"selectedOptionIds": [
"9814a1fa-f0c6-408b-bf85-51dc3bc71ac7"
]
}
}
],
"filterByRoleIds": [
"23d4d8d3-dc10-4e7a-a183-69968751f23e"
],
"includeDrivers": true,
"includeUsers": true,
"isAutofillSource": true,
"numDecimalPlaces": 2,
"options": [
{
"id": "e879028d-bce5-0238-ffec-11cd9236bcda",
"label": "Yes",
"ignoreQuestionFromScoreIfSelected": false,
"optionScoreWeight": 5
}
],
"questionWeight": 5
}
],
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"name": "Driver License",
"revisionId": "1214a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"updatedAtTime": "2019-06-13T19:08:25Z",
"updatedBy": {
"id": "938172",
"type": "driver"
}
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}